let
  release2105 = import ./nixpkgs-2105.nix { };
in
{ pkgs ? release2105, lib ? pkgs.lib, python ? pkgs.python3 }:
let
  # This is a python envionment that has the dependencies
  # for the development python scripts we use, and the
  # helper library.
  python-env = python.buildEnv.override {
    extraLibs = [ python.pkgs.httpx ];
    # Add `.pth` file pointing at the directory containg our helper library.
    # This will get added to `sys.path` by `site.py`.
    # See https://docs.python.org/3/library/site.html
    postBuild = ''
      echo ${lib.escapeShellArg ./tools/pylib} > $out/${lib.escapeShellArg python.sitePackages}/tools.pth
    '';
  };
in
pkgs.mkShell {
  shellHook = ''
    export NIX_PATH="nixpkgs=${pkgs.path}";
  '';
  buildInputs = [
    python-env
    pkgs.morph
    pkgs.jp
  ];
}
